Bug 600393 - Xorg server segfaulting
Xorg server segfaulting
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 612791 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 11:49 EDT by william hanlon
Modified: 2011-06-27 13:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log showing segfault and crash (70.53 KB, text/plain)
2010-06-04 11:49 EDT, william hanlon
no flags Details
Xorg.0.log file containing crash information (149.42 KB, text/plain)
2010-09-29 15:47 EDT, Jason Haar
no flags Details

  None (edit)
Description william hanlon 2010-06-04 11:49:56 EDT
Created attachment 421275 [details]
Xorg log showing segfault and crash

Description of problem:
I upgraded to Fedora 13 3 days ago and after this upgrade, X will crash after several hours.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.0-12.fc13.i686

How reproducible:
Has occurred every day since upgrading.

Steps to Reproduce:
1. Run X11
  
Actual results:
After several hours, I come back to find my X session has ended and the GDM login screen is waiting for a user to login.

Expected results:
X keeps running until I choose to end the session.

Additional info:
I am not using /etc/X11/xorg.conf. Here's the relevant part from Xorg.0.log:


[ 34520.652] 
Backtrace:
[ 34520.656] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51dc]
[ 34520.656] 1: /usr/bin/Xorg (0x8047000+0x5e176) [0x80a5176]
[ 34520.656] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x7c740c]
[ 34520.656] 3: /usr/bin/Xorg (miDoCopy+0x2e) [0x8198c2e]
[ 34520.656] 4: /usr/lib/xorg/modules/drivers/intel_drv.so (0xa0f000+0x39bd9) [0xa48bd9]
[ 34520.656] 5: /usr/bin/Xorg (0x8047000+0xd6b14) [0x811db14]
[ 34520.656] 6: /usr/lib/xorg/modules/drivers/intel_drv.so (0xa0f000+0x35797) [0xa44797]
[ 34520.656] 7: /usr/lib/xorg/modules/drivers/intel_drv.so (0xa0f000+0x3649b) [0xa4549b]
[ 34520.656] 8: /usr/lib/xorg/modules/drivers/intel_drv.so (0xa0f000+0x30793) [0xa3f793]
[ 34520.656] 9: /usr/lib/libdrm.so.2 (drmHandleEvent+0xf1) [0x710f921]
[ 34520.656] 10: /usr/lib/xorg/modules/drivers/intel_drv.so (0xa0f000+0x306cf) [0xa3f6cf]
[ 34520.656] 11: /usr/bin/Xorg (WakeupHandler+0x52) [0x80734b2]
[ 34520.656] 12: /usr/bin/Xorg (WaitForSomething+0x1a2) [0x809f4a2]
[ 34520.656] 13: /usr/bin/Xorg (0x8047000+0x26c70) [0x806dc70]
[ 34520.656] 14: /usr/bin/Xorg (0x8047000+0x1b675) [0x8062675]
[ 34520.656] 15: /lib/libc.so.6 (__libc_start_main+0xe6) [0x1e5cc6]
[ 34520.656] 16: /usr/bin/Xorg (0x8047000+0x1b261) [0x8062261]
[ 34520.656] Segmentation fault at address 0x90
[ 34520.656] 
Fatal server error:
[ 34520.656] Caught signal 11 (Segmentation fault). Server aborting
[ 34520.656] 
[ 34520.656] 
Please consult the Fedora Project support 
         at http://bodhi.fedoraproject.org/
 for help. 
[ 34520.656] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[ 34520.656] 
[ 34520.668] (II) Power Button: Close
[ 34520.668] (II) UnloadModule: "evdev"
[ 34520.674] (II) Power Button: Close
[ 34520.674] (II) UnloadModule: "evdev"
[ 34520.683] (II) USB Optical Mouse: Close
[ 34520.684] (II) UnloadModule: "evdev"
[ 34520.687] (II) Dell Dell USB Keyboard: Close
[ 34520.687] (II) UnloadModule: "evdev"
[ 34520.693] (II) Macintosh mouse button emulation: Close
[ 34520.694] (II) UnloadModule: "evdev"
[ 34520.694] (II) AIGLX: Suspending AIGLX clients for VT switch

dmesg and /var/log/messages report nothing unusual except the crash being captured by abrt.

abrt reason:
Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
Comment 1 william hanlon 2010-06-07 10:57:29 EDT
Since the x crashes always happened when the computer was unattended and in the past I've had problems with xscreensaver causing weird crashes similar to this, on Friday I changed xscreensaver to only blank the screen. I checked my computer on Sunday and again today, and X did not crash. May be too early to tell, but the crashes before I did this were consistently at least once a day, sometimes more often, but always after long unattended periods, when the screensaver would have been activated.

I don't understand the crash times though. They occurred after more than an hour of being attended. I have xscreensaver set to activate DPMS and power down the monitor within 30 minutes. I thought xscreensaver checked the monitor status and would stop "doing stuff" when it was sleeping. Anyway this is the xscreensaver stuff I'm using:

xscreensaver-gl-base-5.11-2.fc13.i686
xscreensaver-extras-5.11-2.fc13.i686
xscreensaver-gl-extras-5.11-2.fc13.i686
xscreensaver-5.11-2.fc13.i686
xscreensaver-base-5.11-2.fc13.i686
Comment 2 Jeff Raber 2010-07-08 22:51:16 EDT
*** Bug 612791 has been marked as a duplicate of this bug. ***
Comment 3 Jason Haar 2010-09-29 15:47:03 EDT
I think I'm a "me too". William - are you using compiz? I am, with gnome-screensaver (not xscreensaver) and X crashes if I choose an openGL based screensaver. The blank one works fine.

Like you I'm using intel_drv.so, and my crashdump looks identical to yours (I'll attach).

To duplicate the issue, all I need to do is go System->Preferences->Screensaver and choose an openGL screensaver. Within *seconds* (but not immediately) X crashes - so even the wee thumbnail of the screensaver is enough to crash it

It's a real pain: I then log in, go to change the screensaver back, and if I'm not quick enough it crashes again before I can change it! 

This is a fully patched F13 system. This Dell D430 laptop was running F12 a few weeks ago and didn't have this issue with openGL screensavers. I did a fresh install (not an upgrade) of F13

Jason
Comment 4 Jason Haar 2010-09-29 15:47:41 EDT
Created attachment 450568 [details]
Xorg.0.log file containing crash information
Comment 5 Trevor Cordes 2011-01-23 23:00:52 EST
Here's a "me too", but unlike the other 2, I have nvidia video.  I just upgraded from F12 to F14 via DVD.  I decided to switch from binary nvidia drivers in F12 to the nouveau + xrandr provided by F14 (heard open source nvidia was finally stable).  I thought the crash might have been nouveau still being crap, but if this crash occurs on Intel video then maybe it's X or the screensaver or DRI layer.

Anyhow, just like you guys, it only happens while unattended and the only every few days.  I'm pretty sure it's hitting a screensaver that's doing some 3D and blowing it up.  I haven't yet been able to tell which yet.

I am using xscreensaver as gnomescreensaver annoys me for other unrelated reasons.  I had installed (crashes):
xscreensaver-base-5.12-9.fc14.i686
xscreensaver-gl-extras-5.12-9.fc14.i686
xscreensaver-extras-5.12-9.fc14.i686
xscreensaver-5.12-9.fc14.i686
xscreensaver-gl-base-5.12-9.fc14.i686

I have uninstalled 
xscreensaver
xscreensaver-gl-extras
xscreensaver-gl-base

to see if that helps solve it.  I had previously gone into settings and disabled all savers starting with "gl" but I guess that didn't cut it.

I'm using F14, so someone please update bug fedora version to 14.

My crash log:
Backtrace:
[1466993.949] 0: /usr/bin/X (xorg_backtrace+0x3c) [0x80e7f2c]
[1466993.949] 1: /usr/bin/X (0x8047000+0x5ed56) [0x80a5d56]
[1466993.949] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0x2c540c]
[1466993.949] 3: /usr/lib/dri/swrast_dri.so (0xef7000+0xef1e) [0xf05f1e]
[1466993.949] 4: /usr/lib/dri/swrast_dri.so (0xef7000+0xca189) [0xfc1189]
[1466993.949] 5: /usr/lib/dri/swrast_dri.so (0xef7000+0x22c41) [0xf19c41]
[1466993.949] 6: /usr/lib/xorg/modules/extensions/libglx.so (0x192000+0x7d79) [0x199d79]
[1466993.949] 7: /usr/lib/xorg/modules/extensions/libglx.so (0x192000+0x34b45) [0x1c6b45]
[1466993.949] 8: /usr/lib/xorg/modules/extensions/libglx.so (0x192000+0x37740) [0x1c9740]
[1466993.949] 9: /usr/bin/X (0x8047000+0x284d7) [0x806f4d7]
[1466993.949] 10: /usr/bin/X (0x8047000+0x1b355) [0x8062355]
[1466993.949] 11: /lib/libc.so.6 (__libc_start_main+0xe6) [0xc39e16]
[1466993.949] 12: /usr/bin/X (0x8047000+0x1af31) [0x8061f31]
[1466993.949] Segmentation fault at address 0x751700
[1466993.949] 
Fatal server error:
[1466993.949] Caught signal 11 (Segmentation fault). Server aborting
Comment 6 Trevor Cordes 2011-01-23 23:01:43 EST
Oh, and maybe change the component?  Since it happens on non-Intel hardware too?  Assuming it's the same bug.  Seems like an Xorg bug.
Comment 7 Bug Zapper 2011-06-02 08:03:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 13:31:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.